Public Member Functions | Public Attributes | List of all members
StarObjectSpreadsheetInternal::Cell Class Reference

Internal: the cell of a StarObjectSpreadsheet. More...

Inheritance diagram for StarObjectSpreadsheetInternal::Cell:

## Public Member Functions
| Cell (STOFFVec2i pos=STOFFVec2i(0, 0))
| constructor More...
| ~Cell () override
| destructor More...
Public Member Functions inherited from STOFFCell
| STOFFCell ()
| constructor More...
virtual | ~STOFFCell ()
| destructor More...
void | addTo (librevenge::RVNGPropertyList &propList) const
| adds to the propList More...
virtual bool | send (STOFFListenerPtr listener, STOFFTable &table)
| function called when a cell is send by STOFFTable to send a cell to a listener. More...
virtual bool | sendContent (STOFFListenerPtr listener, STOFFTable &table)
| function called when the content of a cell must be send to the listener, ie. More...
const STOFFVec2i & | position () const
| position accessor More...
void | setPosition (STOFFVec2i posi)
| set the cell positions : 0,0 -> A1, 0,1 -> A2 More...
const STOFFBox2f & | bdBox () const
| bdbox accessor More...
void | setBdBox (STOFFBox2f box)
| set the bdbox (unit point) More...
const STOFFVec2f & | bdSize () const
| bdbox size accessor More...
void | setBdSize (STOFFVec2f sz)
| set the bdbox size(unit point) More...
const Format & | getFormat () const
| returns the cell format More...
void | setFormat (Format const &format)
| set the cell format More...
const STOFFFont & | getFont () const
| returns the font More...
void | setFont (STOFFFont const &font)
| set the font More...
const STOFFCellStyle & | getCellStyle () const
| returns the cell style More...
STOFFCellStyle & | getCellStyle ()
| returns the cell style More...
void | setCellStyle (STOFFCellStyle const &cellStyle)
| set the cell style More...
const librevenge::RVNGPropertyList & | getNumberingStyle () const
| returns the numbering style More...
librevenge::RVNGPropertyList & | getNumberingStyle ()
| returns the numbering style More...
void | setNumberingStyle (librevenge::RVNGPropertyList const &numberStyle)
| set the numbering style More...

## Public Attributes
STOFFCellContent | m_content
| the cell content More...
std::shared_ptr< StarObjectSmallText > | m_textZone
| the text zone(if set) More...
bool | m_hasNote
| flag to know if the cell has some note More...
librevenge::RVNGString | m_notes [3]
| the notes text, date, author More...

## Additional Inherited Members
Public Types inherited from STOFFCell
enum | FormatType { F_TEXT, F_BOOLEAN, F_NUMBER, F_DATE, F_TIME, F_DATETIME, F_UNKNOWN }
| the different format of a cell's content More...
enum | NumberType { F_NUMBER_CURRENCY, F_NUMBER_DECIMAL, F_NUMBER_FRACTION, F_NUMBER_GENERIC, F_NUMBER_SCIENTIFIC, F_NUMBER_PERCENT, F_NUMBER_UNKNOWN }
| the different number format of a cell's content More...
Static Public Member Functions inherited from STOFFCell
static std::string | getCellName (STOFFVec2i const &pos, STOFFVec2b const &absolute)
| return the name of a cell (given row and column) : 0,0 -> A1, 0,1 -> A2 More...
static std::string | getColumnName (int col)
| return the column name More...
Protected Attributes inherited from STOFFCell
STOFFVec2i | m_position
| the cell row and column : 0,0 -> A1, 0,1 -> A2 More...
STOFFBox2f | m_bdBox
| the cell bounding box (unit in point) More...
STOFFVec2f | m_bdSize
| the cell bounding size : unit point More...
Format | m_format
| the cell format More...
STOFFFont | m_font
| the cell font More...
STOFFCellStyle | m_cellStyle
| the cell cell style More...
librevenge::RVNGPropertyList | m_numberingStyle
| the numbering style More...

## Detailed Description

Internal: the cell of a StarObjectSpreadsheet.

## Constructor & Destructor Documentation

## ◆ Cell()

StarObjectSpreadsheetInternal::Cell::Cell | ( | STOFFVec2i | pos = `STOFFVec2i(0,0)` | ) |
| inline explicit

constructor

## ◆ ~Cell()

StarObjectSpreadsheetInternal::Cell::~Cell | ( |  | ) |
| override

destructor

## Member Data Documentation

## ◆ m_content

STOFFCellContent StarObjectSpreadsheetInternal::Cell::m_content

the cell content

Referenced by StarObjectSpreadsheet::readCalcDocument(), and StarObjectSpreadsheet::sendCell().

## ◆ m_hasNote

bool StarObjectSpreadsheetInternal::Cell::m_hasNote

flag to know if the cell has some note

Referenced by StarObjectSpreadsheet::sendCell().

## ◆ m_notes

librevenge::RVNGString StarObjectSpreadsheetInternal::Cell::m_notes[3]

the notes text, date, author

Referenced by StarObjectSpreadsheet::sendCell().

## ◆ m_textZone

std::shared_ptr<StarObjectSmallText> StarObjectSpreadsheetInternal::Cell::m_textZone

the text zone(if set)

Referenced by StarObjectSpreadsheet::sendCell().

The documentation for this class was generated from the following file:

- StarObjectSpreadsheet.cxx